package com.ai.da.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

@AllArgsConstructor
@Getter
public enum CreditsEventsEnum {

    PRICE("price","6"),
//    PRICE("price","1"),// for test
//    PRICE("price","0.1"),

    BUY_CREDITS("Buy Credits","60"),
//    BUY_CREDITS("Buy Credits","10"),// for test

    REFUND("Refund","60"),
//    BUY_CREDITS("Buy Credits","10"),

    // 每月更新
    INIT_YEARLY("init_yearly", "6000"),
    INIT_MONTHLY("init_monthly", "5000"),
    INIT_TRIAL("init_trial", "100"),
    INIT_WEEKLY("init_weekly","6000"),
    RESET_YEAR_CREDITS("reset_year_credits","6000"),

//    SUPER_RESOLUTION("Super Resolution","30"),
    SUPER_RESOLUTION("Super Resolution","10"),
    SLOGAN("Slogan","10"),
    LOGO("Logo","5"),
    PATTERN("Pattern","5"),
    MOOD_BOARD("MoodBoard","5"),
    SKETCH_BOARD("SketchBoard","5"),
    TO_PRODUCT_IMAGE("ToProductImage","5"),
    RELIGHT("Relight","5"),
    QUESTIONNAIRE("Questionnaire","100"),
    IMAGE_TO_SKETCH("ImageToSketch","5"),
    POSE_TRANSFORMATION("PoseTransformation","10"),

    OTHER("Other","5");

    private String name;

    /**
     * 对应事件需要消耗or获得的积分
     */
    private String value;

    public static List<String> generateFunctionNames() {
        return Arrays.asList(SLOGAN.name, LOGO.name, PATTERN.name, MOOD_BOARD.name, SKETCH_BOARD.name,
                TO_PRODUCT_IMAGE.name, RELIGHT.name, IMAGE_TO_SKETCH.name, POSE_TRANSFORMATION.name);
    }
}
